Ticket #37237

ログに出力されるOS Versionが常に6.2.9200.0 (Win8.0) となる

Open Date: 2017-06-01 00:12 Last Update: 2017-12-29 19:53

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

manifestで使用OSの宣言をしていないため、DTXMania本体が常にWin8モードで動作している模様。

そのため、ログに出力されるOS Versionが常に6.2.9200.0 となる。

以下、出力ログの例。

2017/05/31 05:05:27.793 [INFO] ----------------------

2017/05/31 05:05:27.796 [INFO] ■ アプリケーションの初期化

2017/05/31 05:05:27.796 [INFO] OS Version: Microsoft Windows NT 6.2.9200.0

Attachment File List

No attachments

Ticket History (3/7 Histories)

2017-06-01 00:12 Updated by: yyagi
  • New Ticket "ログに出力されるOS Versionが常に6.2.9200.0となる" created
2017-06-01 01:15 Updated by: yyagi
  • Resolution Update from None to Fixed
Comment

Rev. 4272dac46ad5d45cd4177367d059366d2c2b365e にて修正。

ただ、副作用として、BASS.NETによるWASAPI排他の初期化が常に失敗するようになった。要調査(後日別チケット発行予定)。

2017-06-04 00:42 Updated by: yyagi
Comment

Win10でWASAPI排他の初期化が失敗する問題は、#37243 にてフォローします。

2017-07-23 20:48 Updated by: yyagi
  • Resolution Update from Fixed to Won't Fix
Comment

Win10でのWASAPI問題の影響が大きいがため、一旦従来動作に戻します。

2017-07-23 20:55 Updated by: yyagi
  • Summary Updated
2017-12-11 23:37 Updated by: yyagi
  • Details Updated
Comment

OSバージョン情報をWMI経由で取得するようにすることで、この問題を回避できました。

2017-12-29 19:53 Updated by: yyagi
  • Status Update from Open to Closed
  • Resolution Update from Won't Fix to Fixed
Comment

Rel111で対応しました。チケットをクローズします。

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login